Subject: Re: perl-5.8.0-RC1 (first release candidate) is available
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Date: Mon, 3 Jun 2002 01:56:47 +0200

Hallo Gerrit,

Am Montag, 3. Juni 2002 um 01:46 schriebst du:

Some direct links to the mirror too:-)

> 2002-06-02

> The first Cygwin release of the first perl-5.8 release candidate is
> available for testing.

> ==
Fetch the Cygwin version here:
http://koeln.convey.de/cywgin/perl/
Or from this mirror (many thanks to Nicholas Wourms for providing it):
http://today.clemson.edu/cygwin/perl/

> ==
> I linked this version against Berkeley DB 4.0.14, you want to rebuild
> Perl from source yourself if you want it without DB4, with DB3 or DB2
> instead of DB4, or you need to install DB 4 too:

http://koeln.convey.de/cywgin/db/

> Or from the (first) mirror:
> http://today.clemson.edu/cygwin/db/
Oops...
This one is the correct link:
http://today.clemson.edu/cygwin/db-4/

> (Should work with an existing DB 4 installation too)

> REALLY IMPORTANT:
> =================
> If you have already another DB version installed please unpack this
> package into a separate directory and copy just cygdb-4.0.dll to
> somewhere in your path. The dll's can coexist without problems.
> To rebuild Perl from source any DB version should work (or none).
> Otherwise, if unpackaged from / it will *clobber* the db headers in
> /usr/include and libdb.a/.la & libdb_cxx.a/.la symlinks in /usr/lib!

> ==
> Please take some minutes to read the Perl RC1 announcement

READ:
http://koeln.convey.de/cywgin/perl/perl-5.8.0-RC1.html
> while you fetch the binary or source or all tarballs.

Perl-5.8.0-RC1:
http://koeln.convey.de/cywgin/perl/perl-5.8.0-RC1-1-src.tar.bz2
http://koeln.convey.de/cywgin/perl/perl-5.8.0-RC1-1.tar.bz2
Mirror:
http://today.clemson.edu/cygwin/perl/perl-5.8.0-RC1-1-src.tar.bz2
http://today.clemson.edu/cygwin/perl/perl-5.8.0-RC1-1.tar.bz2

DB-4.0.14:
http://koeln.convey.de/cywgin/db/db-4.0.14-3-src.tar.bz2
http://koeln.convey.de/cywgin/db/db-4.0.14-3.tar.bz2
Mirror:
http://today.clemson.edu/cygwin/db-4/db-4.0.14-3-src.tar.bz2
http://today.clemson.edu/cygwin/db-4/db-4.0.14-3.tar.bz2

> NOTE:
> =====
> The server in Cologne has only limited bandwidth (144kbit), so if
> someone is able to fetch the tarballs and can provide a mirror
> please do so and tell us about the URL in reply to this mail,
> others please watch out for replies with mirror offerings and please
> make use of them if there are some, thanks;)
> =====

> The Cygwin Perl source package contains the original source tarball:

> The size of the original source file is 10913451 bytes and the MD5
> checksum for the file is

>         f595a07df28eb9e40d4d27281a9b37a9  perl-5.8.0-RC1.tgz

> ==
> If you want to build from source and have already downloaded
> the original tarball you may fetch just my build scripts
> (see URL to fetch original in the Announcement, link above):

> My scripts:
> ===========
> http://koeln.convey.de/cywgin/perl/perl-5.8.0-RC1-scripts.tgz

> Use my scripts:
> ===============
>  - unpack it in an empty directory together with the RC1 tarball
>  - unpack the RC1 tarball
>  - call ./build.sh to ./Configure, make and install perl-5.8.0-RC1
>  - modify the script if you don't want to install it or if you want
>    other flags or: look into the script and execute the various
>    commands manually
>  - the makepkg.sh script is for making dist tarballs, please note
>    that this will also install Perl into the final location and will
>    clobber your existing perl.exe et. al.
> ==

> Please test extensively.

> Your help in testing the upcoming perl 5.8.0 is much appreciated.

> ==
> The Cygwin Perl RC1 source tarball contains also my buildlogs.
> There are two or three tests failing for me today... alarm.t
> fails randomly, fs.t and stat.t are failing probably because I
> am building on a shared netdrive today, it should be possible
> to get test runs without failings (only on NTFS!).
> ==

> And:
> ====
> THIS IS A REAL NEW PERL RELEASE THAT IS BINARY INCOMPATIBLE WITH ANY
> PREVIOUS PERL RELEASE.  THIS MEANS THAT YOUR OLD EXTENSIONS (.xs code,
> those Perl modules requiring a C compiler) WILL NOT WORK AND WILL HAVE
> TO BE RECOMPILED.  (Pure Perl modules should continue working.)

> INSTALLING THIS PERL RELEASE WILL OVERWRITE YOUR CURRENT PERL RELEASE.
> (For example, /usr/bin/perl will become Perl 5.8.0.)

> DO NOT INSTALL THIS INTO PRODUCTION USE UNLESS YOU REALLY MEAN IT.
> ====

> I got also this note during Storable compilation which may be of
> additional interest:

> You appear to have a perl configured to use 64 bit integers in its scalar
> variables.  If you have existing data written with an earlier version of
> Storable which this version of Storable refuses to load with a

>    Byte order is not compatible

> error, then please read the section "64 bit data in perl 5.6.0 and 5.6.1"
> in the Storable documentation for instructions on how to read your data.

> (You can find the documentation at the end of Storable.pm in POD format)

> $ perl -V
> Summary of my perl5 (revision 5.0 version 8 subversion 0) configuration:
>   Platform:
>     osname=cygwin, osvers=1.3.10(0.5132), archname=cygwin-multi-64int
>     uname='cygwin_nt-4.0 loreley 1.3.10(0.5132) 2002-02-25 11:14 i686 unknown '
>     config_args='-de -Dmksymlinks -Dusemultiplicity -Duse64bitint -Doptimize=-O2'
>     hint=recommended, useposix=true, d_sigaction=define
>     usethreads=undef use5005threads=undef useithreads=undef usemultiplicity=define
>     useperlio=define d_sfio=undef uselargefiles=define usesocks=undef
>     use64bitint=define use64bitall=undef uselongdouble=undef
>     usemymalloc=y, bincompat5005=undef
>   Compiler:
>     cc='gcc', ccflags ='-DPERL_USE_SAFE_PUTENV -fno-strict-aliasing -I/usr/local/include',
>     optimize='-O2',
>     cppflags='-DPERL_USE_SAFE_PUTENV -fno-strict-aliasing -I/usr/local/include'
>     ccversion='', gccversion='2.95.3-5 (cygwin special)', gccosandvers=''
>     intsize=4, longsize=4, ptrsize=4, doublesize=8, byteorder=12345678
>     d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=12
>     ivtype='long long', ivsize=8, nvtype='double', nvsize=8, Off_t='off_t', lseeksize=4
>     alignbytes=8, prototype=define
>   Linker and Libraries:
>     ld='ld2', ldflags =' -L/usr/local/lib'
>     libpth=/usr/local/lib /usr/lib /lib
>     libs=-lgdbm -ldb -lcrypt -lutil
>     perllibs=-lcrypt -lutil
>     libc=/usr/lib/libc.a, so=dll, useshrplib=true, libperl=libperl.a
>   Dynamic Linking:
>     dlsrc=dl_dlopen.xs, dlext=dll, d_dlsymun=undef, ccdlflags=' '
>     cccdlflags=' ', lddlflags=' -L/usr/local/lib'

> Characteristics of this binary (from libperl): 
>   Compile-time options: MULTIPLICITY USE_64_BIT_INT USE_LARGE_FILES PERL_IMPLICIT_CONTEXT
>   Built under cygwin
>   Compiled at Jun  2 2002 21:35:58
>   %ENV:
>     CYGWIN="ntsec binmode tty nowinsymlinks"
>   @INC:
>     /usr/lib/perl5/5.8.0/cygwin-multi-64int
>     /usr/lib/perl5/5.8.0
>     /usr/lib/perl5/site_perl/5.8.0/cygwin-multi-64int
>     /usr/lib/perl5/site_perl/5.8.0
>     /usr/lib/perl5/site_perl
>     .

> Have fun!

> Gerrit

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/